Skip to main content
`Ctrl`+`K`

# EPSRQCGSetReset

Sets the reset parameter of the RQCG iteration.

## Synopsis

    #include "slepceps.h"
    PetscErrorCode EPSRQCGSetReset(EPS eps,PetscInt nrest)

Logically Collective

## Input Parameters

- eps - the linear eigensolver context

- nrest - the number of iterations between resets

## Options Database Key

- -eps_rqcg_reset <nrest> - sets the reset parameter

## Note

The meaning of the reset parameter is that every `nrest` iterations the solver performs a Rayleigh-Ritz projection step.

## See Also

EPS: Eigenvalue Problem Solver, `EPSRQCG`, `EPSRQCGGetReset()`

## Level

advanced

## Location

src/eps/impls/cg/rqcg/rqcg.c

## Implementations

EPSRQCGSetReset_RQCG() in src/eps/impls/cg/rqcg/rqcg.c

Index of all EPS routines Table of Contents for all manual pages Index of all manual pages